Group: System/Base
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           shcov
Version:        5
Release:        alt1_18
Summary:        A gcov and lcov coverage test tool for bourne shell / bash scripts

License:        GPLv2
URL:            http://code.google.com/p/shcov/
Source0:        http://%{name}.googlecode.com/files/%{name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python-devel
BuildRequires:  python-module-pkg_resources python-module-setuptools
Source44: import.info


%description
shcov is a gcov-like code coverage tester for bourne shell / bash
scripts. It also has a lcov-like HTML output generator to present
coverage results.


%prep
%setup -q


%build
%python_build


%install
%python_install
rm -rf %{buildroot}%{_defaultdocdir}/%{name}/*


%files 
%doc ChangeLog COPYING README
%{_mandir}/man*/sh*.*
%{_bindir}/sh*
%{_datadir}/%{name}/
%{python_sitelibdir_noarch}/%{name}/
%{python_sitelibdir_noarch}/%{name}*.egg-info


%changelog
* Fri Mar 01 2019 Igor Vlasenko <viy@altlinux.ru> 5-alt1_18
- update to new release by fcimport

* Wed Aug 01 2018 Igor Vlasenko <viy@altlinux.ru> 5-alt1_17
- update to new release by fcimport

* Thu Mar 08 2018 Igor Vlasenko <viy@altlinux.ru> 5-alt1_16
- update to new release by fcimport

* Tue Feb 20 2018 Igor Vlasenko <viy@altlinux.ru> 5-alt1_15
- update to new release by fcimport

* Mon Oct 09 2017 Igor Vlasenko <viy@altlinux.ru> 5-alt1_14
- update to new release by fcimport

* Wed Mar 15 2017 Igor Vlasenko <viy@altlinux.ru> 5-alt1_13
- update to new release by fcimport

* Mon Dec 19 2016 Igor Vlasenko <viy@altlinux.ru> 5-alt1_12
- update to new release by fcimport

* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 5-alt1_11
- update to new release by fcimport

* Mon Oct 19 2015 Igor Vlasenko <viy@altlinux.ru> 5-alt1_10
- update to new release by fcimport

* Mon Jul 07 2014 Igor Vlasenko <viy@altlinux.ru> 5-alt1_9
- update to new release by fcimport

* Mon Sep 02 2013 Igor Vlasenko <viy@altlinux.ru> 5-alt1_8
- update to new release by fcimport

* Mon Apr 29 2013 Igor Vlasenko <viy@altlinux.ru> 5-alt1_7
- initial fc import

